namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter04.Listing04_44
{
    public class Program
    {
        public static void Main()
        {
            // Wielokrotne wyświetlanie prośby o wpisanie ruchu do
            // momentu podania prawidłowej pozycji na planszy.
            bool valid;
            do
            {
                valid = false;

                // Prośba o wpisanie ruchu przez gracza wykonującego posunięcie.
                System.Console.Write(
                  $"\nGracz {currentPlayer} — wprowadź posunięcie:");
                string input = System.Console.ReadLine();

                // Sprawdzanie danych wprowadzonych przez gracza wykonującego posunięcie.
                // ...

            } while (!valid);
        }

        public static object[] currentPlayer { get; set; }
    }
}
